<template>
  <div style="display:inline;margin-left:10px">
    <el-popconfirm
      title="确定删除吗？"
      @confirm="deleteRow">
      <el-button size="small" type="text" slot="reference">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "classname": "webmanage.sale.salearea.salearea",
        "method": "delete_saler",
        "content": {
            "sa_saleareaid": this.data.sa_saleareaid,
            "hrid": this.data.hrid
        }
      }).then(res=>{
        this.tool.showMessage(res)
        this.$emit('onSuccess')
      })
    },
  }
}

</script>
<style>
</style>